import { DotCMSContentlet } from '../../models';
import * as i0 from "@angular/core";
/**
 * This component is responsible to display a message when there is no component for a contentlet.
 *
 * @export
 * @class NoComponent
 */
export declare class NoComponent {
    /**
     * The contentlet object containing content data.
     * The component displays a message based on the content type of this contentlet.
     */
    contentlet: DotCMSContentlet;
    /**
     * The data-testid attribute used for identifying the component during testing.
     */
    testId: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NoComponent, "dotcms-no-component", never, { "contentlet": { "alias": "contentlet"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=no-component.component.d.ts.map