import { OnChanges } from '@angular/core';
import { NoComponent } from '../../components/no-component/no-component.component';
import { DynamicComponentEntity } from '../../models';
import { DotCMSContainer, DotCMSContentlet } from '../../models/dotcms.model';
import * as i0 from "@angular/core";
interface DotContainer {
    acceptTypes: string;
    identifier: string;
    maxContentlets: number;
    uuid: string;
    variantId?: string;
}
/**
 * This component is responsible to display a container with contentlets.
 *
 * @export
 * @class ContainerComponent
 * @implements {OnChanges}
 */
export declare class ContainerComponent implements OnChanges {
    /**
     * The container object containing the contentlets.
     *
     * @type {DotCMSContainer}
     * @memberof ContainerComponent
     */
    container: DotCMSContainer;
    private readonly pageContextService;
    protected readonly NoComponent: typeof NoComponent;
    protected readonly $isInsideEditor: import("@angular/core").WritableSignal<boolean>;
    protected componentsMap: Record<string, DynamicComponentEntity>;
    protected $contentlets: import("@angular/core").WritableSignal<DotCMSContentlet[]>;
    protected $dotContainer: import("@angular/core").WritableSignal<DotContainer | null>;
    protected $dotContainerAsString: import("@angular/core").Signal<string>;
    /**
     * The accept types for the container component.
     *
     * @type {(string | null)}
     * @memberof ContainerComponent
     */
    acceptTypes: string | null;
    /**
     * The identifier for the container component.
     *
     * @type {(string | null)}
     * @memberof ContainerComponent
     */
    identifier: string | null;
    /**
     * The max contentlets for the container component.
     *
     * @type {(number | null)}
     * @memberof ContainerComponent
     */
    maxContentlets: number | null;
    /**
     * The uuid for the container component.
     *
     * @type {(string | null)}
     * @memberof ContainerComponent
     */
    uuid: string | null;
    /**
     * The class for the container component.
     *
     * @type {(string | null)}
     * @memberof ContainerComponent
     */
    class: string | null;
    /**
     * The dot object for the container component.
     *
     * @type {(string | null)}
     * @memberof ContainerComponent
     */
    dotObject: string | null;
    /**
     * The data-testid attribute used for identifying the component during testing.
     *
     * @memberof ContainerComponent
     */
    testId: string;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContainerComponent, "dotcms-container", never, { "container": { "alias": "container"; "required": true; }; }, {}, never, never, true, never>;
}
export {};
//# sourceMappingURL=container.component.d.ts.map