import { OnChanges } from '@angular/core';
import { DotCMSContentlet } from '../../models';
import * as i0 from "@angular/core";
/**
 * This component is responsible to display a contentlet.
 *
 * @export
 * @class ContentletComponent
 * @implements {OnChanges}
 */
export declare class ContentletComponent implements OnChanges {
    /**
     * The contentlet object containing content data.
     *
     * @type {DotCMSContentlet}
     * @memberof ContentletComponent
     */
    contentlet: DotCMSContentlet;
    /**
     * The container data (as string) where the contentlet is located.
     *
     * @type {string}
     * @memberof ContentletComponent
     */
    container: string;
    /**
     * The identifier of contentlet component.
     *
     * @type {(string | null)}
     * @memberof ContentletComponent
     */
    identifier: string | null;
    /**
     * The base type of contentlet component.
     *
     * @type {(string | null)}
     * @memberof ContentletComponent
     */
    baseType: string | null;
    /**
     * The title of contentlet component.
     *
     * @type {(string | null)}
     * @memberof ContentletComponent
     */
    title: string | null;
    /**
     * The inode of contentlet component.
     *
     * @type {(string | null)}
     * @memberof ContentletComponent
     */
    inode: string | null;
    /**
     * The type of contentlet component.
     *
     * @type {(string | null)}
     * @memberof ContentletComponent
     */
    dotType: string | null;
    /**
     * The container of contentlet component.
     *
     * @type {(string | null)}
     * @memberof ContentletComponent
     */
    dotContainer: string | null;
    /**
     * The number of pages where the contentlet appears
     *
     * @type {(string | null)}
     * @memberof ContentletComponent
     */
    numberOfPages: string | null;
    /**
     * The content of contentlet component.
     *
     * @type {(string | null)}
     * @memberof ContentletComponent
     */
    dotContent: string | null;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentletComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentletComponent, "dotcms-contentlet-wrapper", never, { "contentlet": { "alias": "contentlet"; "required": true; }; "container": { "alias": "container"; "required": false; }; }, {}, never, ["*"], true, never>;
}
//# sourceMappingURL=contentlet.component.d.ts.map