import { DotCMSContainer, DotCMSPageAssetContainer } from '../models/dotcms.model';
/**
 * Retrieves the data for a set of containers.
 *
 * @param containers - The DotCMSPageAssetContainer object containing the containers.
 * @param containerRef - The DotCMSContainer object representing the container reference.
 * @returns An object containing the container data, accept types, contentlets, and variant ID.
 */
export declare const getContainersData: (containers: DotCMSPageAssetContainer, containerRef: DotCMSContainer) => {
    acceptTypes: string;
    contentlets: import("../models/dotcms.model").DotCMSContentlet[];
    variantId: string | undefined;
    identifier: string;
    uuid: string;
    iDate: number;
    type: string;
    owner?: string | undefined;
    inode: string;
    source: string;
    title: string;
    friendlyName: string;
    modDate: number;
    modUser: string;
    sortOrder: number;
    showOnMenu: boolean;
    code?: string | undefined;
    maxContentlets: number;
    useDiv: boolean;
    sortContentletsBy?: string | undefined;
    preLoop: string;
    postLoop: string;
    staticify: boolean;
    luceneQuery?: string | undefined;
    notes: string;
    languageId?: number | undefined;
    path?: string | undefined;
    live: boolean;
    locked: boolean;
    working: boolean;
    deleted: boolean;
    name: string;
    archived: boolean;
    permissionId: string;
    versionId: string;
    versionType: string;
    permissionType: string;
    categoryId: string;
    idate: number;
    new: boolean;
    parentPermissionable: import("../models/dotcms.model").DotCMSSiteParentPermissionable;
};
/**
 * Returns the position style classes based on the start and end values.
 * Used to set the grid column start and end values.
 * @param start - The start value.
 * @param end - The end value.
 * @returns An object containing the startClass and endClass.
 */
export declare const getPositionStyleClasses: (start: number, end: number) => {
    startClass: string | null;
    endClass: string | null;
};
//# sourceMappingURL=index.d.ts.map